Last modified: 2013-09-04 10:36:17 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 28845 - PostgresInstaller::canCreateAccounts() gives the wrong result
PostgresInstaller::canCreateAccounts() gives the wrong result
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Installer (Other open bugs)
1.17.x
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: postgres 26676
  Show dependency treegraph
 
Reported: 2011-05-06 04:32 UTC by Tim Starling
Modified: 2013-09-04 10:36 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Tim Starling 2011-05-06 04:32:32 UTC
This was reported on IRC. PostgresInstaller::canCreateAccounts() uses the obsolete pg_user catalog, instead of the new pg_roles. It gets the data from pg_user with a very strange looking query, and then interprets the result with a strange and buggy if statement, the end result being equivalent to a check of usesuper alone.

The reporter on IRC apparently had a user with rolcreaterole=true and rolcreatedb=true but rolsuper=false. The installer declared that this user could not create accounts.
Comment 1 Mark A. Hershberger 2011-05-26 20:35:18 UTC
r88929
Comment 2 Tim Starling 2011-06-10 13:04:18 UTC
It didn't really work after r88929. It should be fixed properly in r89821.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links